package com.yidianling.uikit.custom.http.response;

import java.util.List;

public class ServiceItemBean {

    /**
     * cateName : 亲子教育
     * cateId : 23
     * products : [{"productDto":{"id":91170418024616,"desc":"咨询师基本功训练及亲子咨疗。\r\nY值1868 \r\n好评率99%\r\n本服务仅为咨询师提供督导服务，非咨询师请勿购买本服务。","shortDesc":"心理学硕士、副教授、硕士生导师、壹点灵首席心理咨询专家，从业10年。","uid":2,"name":"督导咨询","originPrice":0,"productPrice":500,"packagePrice":1500,"isPackage":1,"periodNum":0,"packageNum":1,"dayFreeTimes":0,"activityType":1,"activityStartTime":null,"activityEndTime":null,"expiryDate":0,"totalServiceTime":0,"status":3,"auditStatus":3,"checkFailedReason":"","offShelfReason":"","serviceType":1,"isDelete":2,"sortOrder":27683,"createTime":"Apr 18, 2017 10:10:22 PM","updateTime":"Nov 7, 2019 11:36:55 AM","feedbackRate":5,"saleoutAmount":32,"expireDays":0,"aimEffect":"","advantage":"","extRemark":""},"productCategoryDto":{"id":233469,"categoryId1":23,"categoryId2":65,"categoryId3":0,"categoryName1":"亲子教育","categoryName2":"厌学","categoryName3":"心理咨询服务"},"productSpecDtos":[{"id":666956,"spec1":"1","spec1Name":"服务方式","spec2":"60","spec2Name":"服务时长","price":500},{"id":666957,"spec1":"2","spec1Name":"服务方式","spec2":"60","spec2Name":"服务时长","price":500},{"id":666958,"spec1":"4","spec1Name":"服务方式","spec2":"60","spec2Name":"服务时长","price":500},{"id":666959,"spec1":"3","spec1Name":"服务方式","spec2":"60","spec2Name":"服务时长","price":500},{"id":666960,"spec1":"5","spec1Name":"服务方式","spec2":"60","spec2Name":"服务时长","price":500}],"isPushToBg":0}]
     */

    private String cateName;
    private int cateId;
    private List<ProductsBean> products;

    public String getCateName() {
        return cateName;
    }

    public void setCateName(String cateName) {
        this.cateName = cateName;
    }

    public int getCateId() {
        return cateId;
    }

    public void setCateId(int cateId) {
        this.cateId = cateId;
    }

    public List<ProductsBean> getProducts() {
        return products;
    }

    public void setProducts(List<ProductsBean> products) {
        this.products = products;
    }

    public static class ProductsBean {
        /**
         * productDto : {"id":91170418024616,"desc":"咨询师基本功训练及亲子咨疗。\r\nY值1868 \r\n好评率99%\r\n本服务仅为咨询师提供督导服务，非咨询师请勿购买本服务。","shortDesc":"心理学硕士、副教授、硕士生导师、壹点灵首席心理咨询专家，从业10年。","uid":2,"name":"督导咨询","originPrice":0,"productPrice":500,"packagePrice":1500,"isPackage":1,"periodNum":0,"packageNum":1,"dayFreeTimes":0,"activityType":1,"activityStartTime":null,"activityEndTime":null,"expiryDate":0,"totalServiceTime":0,"status":3,"auditStatus":3,"checkFailedReason":"","offShelfReason":"","serviceType":1,"isDelete":2,"sortOrder":27683,"createTime":"Apr 18, 2017 10:10:22 PM","updateTime":"Nov 7, 2019 11:36:55 AM","feedbackRate":5,"saleoutAmount":32,"expireDays":0,"aimEffect":"","advantage":"","extRemark":""}
         * productCategoryDto : {"id":233469,"categoryId1":23,"categoryId2":65,"categoryId3":0,"categoryName1":"亲子教育","categoryName2":"厌学","categoryName3":"心理咨询服务"}
         * productSpecDtos : [{"id":666956,"spec1":"1","spec1Name":"服务方式","spec2":"60","spec2Name":"服务时长","price":500},{"id":666957,"spec1":"2","spec1Name":"服务方式","spec2":"60","spec2Name":"服务时长","price":500},{"id":666958,"spec1":"4","spec1Name":"服务方式","spec2":"60","spec2Name":"服务时长","price":500},{"id":666959,"spec1":"3","spec1Name":"服务方式","spec2":"60","spec2Name":"服务时长","price":500},{"id":666960,"spec1":"5","spec1Name":"服务方式","spec2":"60","spec2Name":"服务时长","price":500}]
         * isPushToBg : 0
         */

        private ProductDtoBean productDto;
        private ProductCategoryDtoBean productCategoryDto;
        private int isPushToBg;
        private List<ProductSpecDtosBean> productSpecDtos;

        public ProductDtoBean getProductDto() {
            return productDto;
        }

        public void setProductDto(ProductDtoBean productDto) {
            this.productDto = productDto;
        }

        public ProductCategoryDtoBean getProductCategoryDto() {
            return productCategoryDto;
        }

        public void setProductCategoryDto(ProductCategoryDtoBean productCategoryDto) {
            this.productCategoryDto = productCategoryDto;
        }

        public int getIsPushToBg() {
            return isPushToBg;
        }

        public void setIsPushToBg(int isPushToBg) {
            this.isPushToBg = isPushToBg;
        }

        public List<ProductSpecDtosBean> getProductSpecDtos() {
            return productSpecDtos;
        }

        public void setProductSpecDtos(List<ProductSpecDtosBean> productSpecDtos) {
            this.productSpecDtos = productSpecDtos;
        }

        public static class ProductDtoBean {
            /**
             * id : 91170418024616
             * desc : 咨询师基本功训练及亲子咨疗。
             Y值1868
             好评率99%
             本服务仅为咨询师提供督导服务，非咨询师请勿购买本服务。
             * shortDesc : 心理学硕士、副教授、硕士生导师、壹点灵首席心理咨询专家，从业10年。
             * uid : 2
             * name : 督导咨询
             * originPrice : 0.0
             * productPrice : 500.0
             * packagePrice : 1500.0
             * isPackage : 1
             * periodNum : 0
             * packageNum : 1
             * dayFreeTimes : 0
             * activityType : 1
             * activityStartTime : null
             * activityEndTime : null
             * expiryDate : 0
             * totalServiceTime : 0
             * status : 3
             * auditStatus : 3
             * checkFailedReason :
             * offShelfReason :
             * serviceType : 1
             * isDelete : 2
             * sortOrder : 27683
             * createTime : Apr 18, 2017 10:10:22 PM
             * updateTime : Nov 7, 2019 11:36:55 AM
             * feedbackRate : 5.0
             * saleoutAmount : 32
             * expireDays : 0
             * aimEffect :
             * advantage :
             * extRemark :
             */

            private long id;
            private String desc;
            private String shortDesc;
            private int uid;
            private String name;
            private double originPrice;
            private double productPrice;
            private double packagePrice;
            private int isPackage;  //2是套餐
            private int periodNum;
            private int packageNum;
            private int dayFreeTimes;
            private int activityType;
            private Object activityStartTime;
            private Object activityEndTime;
            private int expiryDate;
            private int totalServiceTime;
            private int status;
            private int auditStatus;
            private String checkFailedReason;
            private String offShelfReason;
            private int serviceType;
            private int isDelete;
            private int sortOrder;
            private String createTime;
            private String updateTime;
            private double feedbackRate;
            private int saleoutAmount;
            private int expireDays;
            private String aimEffect;
            private String advantage;
            private String extRemark;

            public long getId() {
                return id;
            }

            public void setId(long id) {
                this.id = id;
            }

            public String getDesc() {
                return desc;
            }

            public void setDesc(String desc) {
                this.desc = desc;
            }

            public String getShortDesc() {
                return shortDesc;
            }

            public void setShortDesc(String shortDesc) {
                this.shortDesc = shortDesc;
            }

            public int getUid() {
                return uid;
            }

            public void setUid(int uid) {
                this.uid = uid;
            }

            public String getName() {
                return name;
            }

            public void setName(String name) {
                this.name = name;
            }

            public double getOriginPrice() {
                return originPrice;
            }

            public void setOriginPrice(double originPrice) {
                this.originPrice = originPrice;
            }

            public double getProductPrice() {
                return productPrice;
            }

            public void setProductPrice(double productPrice) {
                this.productPrice = productPrice;
            }

            public double getPackagePrice() {
                return packagePrice;
            }

            public void setPackagePrice(double packagePrice) {
                this.packagePrice = packagePrice;
            }

            public int getIsPackage() {
                return isPackage;
            }

            public void setIsPackage(int isPackage) {
                this.isPackage = isPackage;
            }

            public int getPeriodNum() {
                return periodNum;
            }

            public void setPeriodNum(int periodNum) {
                this.periodNum = periodNum;
            }

            public int getPackageNum() {
                return packageNum;
            }

            public void setPackageNum(int packageNum) {
                this.packageNum = packageNum;
            }

            public int getDayFreeTimes() {
                return dayFreeTimes;
            }

            public void setDayFreeTimes(int dayFreeTimes) {
                this.dayFreeTimes = dayFreeTimes;
            }

            public int getActivityType() {
                return activityType;
            }

            public void setActivityType(int activityType) {
                this.activityType = activityType;
            }

            public Object getActivityStartTime() {
                return activityStartTime;
            }

            public void setActivityStartTime(Object activityStartTime) {
                this.activityStartTime = activityStartTime;
            }

            public Object getActivityEndTime() {
                return activityEndTime;
            }

            public void setActivityEndTime(Object activityEndTime) {
                this.activityEndTime = activityEndTime;
            }

            public int getExpiryDate() {
                return expiryDate;
            }

            public void setExpiryDate(int expiryDate) {
                this.expiryDate = expiryDate;
            }

            public int getTotalServiceTime() {
                return totalServiceTime;
            }

            public void setTotalServiceTime(int totalServiceTime) {
                this.totalServiceTime = totalServiceTime;
            }

            public int getStatus() {
                return status;
            }

            public void setStatus(int status) {
                this.status = status;
            }

            public int getAuditStatus() {
                return auditStatus;
            }

            public void setAuditStatus(int auditStatus) {
                this.auditStatus = auditStatus;
            }

            public String getCheckFailedReason() {
                return checkFailedReason;
            }

            public void setCheckFailedReason(String checkFailedReason) {
                this.checkFailedReason = checkFailedReason;
            }

            public String getOffShelfReason() {
                return offShelfReason;
            }

            public void setOffShelfReason(String offShelfReason) {
                this.offShelfReason = offShelfReason;
            }

            public int getServiceType() {
                return serviceType;
            }

            public void setServiceType(int serviceType) {
                this.serviceType = serviceType;
            }

            public int getIsDelete() {
                return isDelete;
            }

            public void setIsDelete(int isDelete) {
                this.isDelete = isDelete;
            }

            public int getSortOrder() {
                return sortOrder;
            }

            public void setSortOrder(int sortOrder) {
                this.sortOrder = sortOrder;
            }

            public String getCreateTime() {
                return createTime;
            }

            public void setCreateTime(String createTime) {
                this.createTime = createTime;
            }

            public String getUpdateTime() {
                return updateTime;
            }

            public void setUpdateTime(String updateTime) {
                this.updateTime = updateTime;
            }

            public double getFeedbackRate() {
                return feedbackRate;
            }

            public void setFeedbackRate(double feedbackRate) {
                this.feedbackRate = feedbackRate;
            }

            public int getSaleoutAmount() {
                return saleoutAmount;
            }

            public void setSaleoutAmount(int saleoutAmount) {
                this.saleoutAmount = saleoutAmount;
            }

            public int getExpireDays() {
                return expireDays;
            }

            public void setExpireDays(int expireDays) {
                this.expireDays = expireDays;
            }

            public String getAimEffect() {
                return aimEffect;
            }

            public void setAimEffect(String aimEffect) {
                this.aimEffect = aimEffect;
            }

            public String getAdvantage() {
                return advantage;
            }

            public void setAdvantage(String advantage) {
                this.advantage = advantage;
            }

            public String getExtRemark() {
                return extRemark;
            }

            public void setExtRemark(String extRemark) {
                this.extRemark = extRemark;
            }
        }

        public static class ProductCategoryDtoBean {
            /**
             * id : 233469
             * categoryId1 : 23
             * categoryId2 : 65
             * categoryId3 : 0
             * categoryName1 : 亲子教育
             * categoryName2 : 厌学
             * categoryName3 : 心理咨询服务
             */

            private int id;
            private int categoryId1;
            private int categoryId2;
            private int categoryId3;
            private String categoryName1;
            private String categoryName2;
            private String categoryName3;

            public int getId() {
                return id;
            }

            public void setId(int id) {
                this.id = id;
            }

            public int getCategoryId1() {
                return categoryId1;
            }

            public void setCategoryId1(int categoryId1) {
                this.categoryId1 = categoryId1;
            }

            public int getCategoryId2() {
                return categoryId2;
            }

            public void setCategoryId2(int categoryId2) {
                this.categoryId2 = categoryId2;
            }

            public int getCategoryId3() {
                return categoryId3;
            }

            public void setCategoryId3(int categoryId3) {
                this.categoryId3 = categoryId3;
            }

            public String getCategoryName1() {
                return categoryName1;
            }

            public void setCategoryName1(String categoryName1) {
                this.categoryName1 = categoryName1;
            }

            public String getCategoryName2() {
                return categoryName2;
            }

            public void setCategoryName2(String categoryName2) {
                this.categoryName2 = categoryName2;
            }

            public String getCategoryName3() {
                return categoryName3;
            }

            public void setCategoryName3(String categoryName3) {
                this.categoryName3 = categoryName3;
            }
        }

        public static class ProductSpecDtosBean {
            /**
             * id : 666956
             * spec1 : 1
             * spec1Name : 服务方式
             * spec2 : 60
             * spec2Name : 服务时长
             * price : 500.0
             */

            private int id;
            private String spec1;
            private String spec1Name;
            private String spec2;
            private String spec2Name;
            private double price;

            public int getId() {
                return id;
            }

            public void setId(int id) {
                this.id = id;
            }

            public String getSpec1() {
                return spec1;
            }

            public void setSpec1(String spec1) {
                this.spec1 = spec1;
            }

            public String getSpec1Name() {
                return spec1Name;
            }

            public void setSpec1Name(String spec1Name) {
                this.spec1Name = spec1Name;
            }

            public String getSpec2() {
                return spec2;
            }

            public void setSpec2(String spec2) {
                this.spec2 = spec2;
            }

            public String getSpec2Name() {
                return spec2Name;
            }

            public void setSpec2Name(String spec2Name) {
                this.spec2Name = spec2Name;
            }

            public double getPrice() {
                return price;
            }

            public void setPrice(double price) {
                this.price = price;
            }
        }
    }
}
